<div class="wrapper">
  <div
    type="text"
    class="front-face"
    [ngClass]="{
      blocked: true,
      empty: index < 5 * (round + 1) && animationFinished,
      selected:
        index == currentSelection &&
        (index != round - 1 + 5 || letter == '') &&
        animationFinished,
      flipFront: flip,
      insert: insert,
      shake: shake,
      jump: jump
    }"
    (click)="select()"
  >
    <p>{{ letter }}</p>
  </div>

  <div
    type="text"
    class="back-face"
    [ngClass]="{
      flipBack: flip,
      place: place,
      right: right,
      jump: jump
    }"
  >
    <p>{{ letter }}</p>
  </div>
</div>
